Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1334798 - python-oslo-serialization: Provide a Python 3 subpackage
python-oslo-serialization: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-oslo-serialization (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Orsava
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2016-05-10 10:32 EDT by Tomas Orsava
Modified: 2016-07-08 12:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-oslo-serialization-2.4.0-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-08 12:12:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to provide Python 3 tests subpackage (1.96 KB, patch)
2016-06-01 05:09 EDT, Charalampos Stratakis
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-05-10 10:32:33 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/
Comment 1 Charalampos Stratakis 2016-06-01 05:09 EDT
Created attachment 1163553 [details]
Patch to provide Python 3 tests subpackage
Comment 2 Charalampos Stratakis 2016-06-01 05:15:49 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14336914
Comment 3 Tomas Orsava 2016-06-02 12:08:37 EDT
Hi Charalampos!

I checked the patch and it looks correct! I also tried installing it in mock and it looks good, I think we can push it!
Comment 4 Tomas Orsava 2016-06-02 12:08:54 EDT
Hi Alan!
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at the patch as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you won't respond.

Thank you!
Comment 5 Charalampos Stratakis 2016-06-08 07:41:12 EDT
Also tested in mock and works as expected.

Note You need to log in before you can comment on or make changes to this bug.